Subject: Re: linux-next: build failure after merge of the regulator tree

From: Mark Brown <[email-masked]>
Date: Tue, 23 Nov 2021 14:17:58 +0000

On Tue, Nov 23, 2021 at 09:26:45AM +0000, Vaittinen, Matti wrote:

> As a second thought - do we need such a stub function at all? I guess 
> anyone who is actually adding a call to the 
> rohm_regulator_set_voltage_sel_restricted()  helper should also have the 
> implementation selected. Failing to do so is probably indication of an 
> error. Compile testing could perhaps be an exception but this is 
> currently not supported.

> Should I just drop the stub or make it inline? Am I overlooking something?

Dropping it does seem reasonable, I can't immediately think of a case
where the stub would get used.  I've queued your existing patch to try
to make sure that a fix lands tomorrow so (assuming no test issues)
please send a removal patch on top of that.